[arch-commits] Commit in rhino/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Aug 2 12:26:47 EDT 2008


    Date: Saturday, August 2, 2008 @ 12:26:47
  Author: jgc
Revision: 7495

upgpkg: rhino 1.7R1-1
    Add mozilla rhino, required for openjdk

Added:
  rhino/trunk/PKGBUILD

----------+
 PKGBUILD |   18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

Added: PKGBUILD
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2008-08-02 16:26:47 UTC (rev 7495)
@@ -0,0 +1,18 @@
+# Maintainer: Andreas Radke <andyrtr at archlinux.org>
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=rhino
+pkgver=1.7R1
+pkgrel=1
+pkgdesc="Open-source implementation of JavaScript written entirely in Java"
+arch=('i686' 'x86_64')
+url="http://www.mozilla.org/rhino/"
+license=('MPL' 'GPL2')
+source=(ftp://ftp.mozilla.org/pub/mozilla.org/js/rhino1_7R1.zip)
+md5sums=('613eed8201d37be201805e5048ebb0c3')
+
+build() {
+  cd ${srcdir}/rhino1_7R1
+  install -m755 -d ${pkgdir}/usr/share/java
+  install -m644 js.jar ${pkgdir}/usr/share/java/ || return 1
+}




More information about the arch-commits mailing list